<?php
namespace Mirasvit\Core\Block\CustomCss;

/**
 * Interceptor class for @see \Mirasvit\Core\Block\CustomCss
 */
class Interceptor extends \Mirasvit\Core\Block\CustomCss implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\Core\Model\Config $config, \Magento\Backend\Block\Widget\Context $context)
    {
        $this->___init();
        parent::__construct($config, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
